#ifndef _ARRAYS_H_
#define _ARRAYS_H_

enum MatErrType { matErr_None, matErr_Size, matErr_Singular, 
matErr_IllConditioned, matErr_IterLimit, matErr_QNAN };

class CMatrix
{
protected:
	int maxRows;
	int maxCols;
	double* pData;

 public:
    CMatrix(int MaxRows = 1, int MaxCols = 1)
    {
		maxRows = MaxRows;
		maxCols = MaxCols;
		pData = new double[maxRows * maxCols];
    }
    ~CMatrix()
    { delete [] pData; }
    void ReSize(int NewRows, int NewCols)
    {
		delete [] pData;
        maxRows = NewRows;
        maxCols = NewCols;
        pData = new double[maxRows * maxCols];
    }
    double& operator () (int rowInd, int colInd)
    { return pData[maxCols * rowInd + colInd]; }
    int checkRowCol(int rowInd, int colInd)
    { return  ((rowInd >= 0) && (rowInd < maxRows) && 
	(colInd >= 0) && (colInd < maxCols)) ? 1 : 0; }
    int getRows()
    { return maxRows; }
    int getCols()
    { return maxCols; }
};

class CVector
{
protected:
	int maxSize;
    double* pData;

public:
    CVector(int MaxSize = 1)
	{
		maxSize = MaxSize;
		pData = new double[maxSize];
	}
    ~CVector()
    { delete [] pData; }
    void ReSize(int NewSize)
    {
		delete [] pData;
		maxSize = NewSize;
		pData = new double[maxSize];
    }
    double& operator [](int index)
    { return pData[index]; }
    double& operator ()(int index)
    { return pData[index]; }
    int checkIndex(int index)
    { return  ((index >= 0) && (index < maxSize)) ? 1 : 0; }
    int getSize()
    { return maxSize; }
};

#endif

