// TestDLLDlg.cpp : implementation file
...
HMODULE gGaussDLL = NULL;
...
typedef MatErrType (*GAUSSPIVTBL)(CMatrix& MatA, CVector& VecIn, CVector& VecOut, int numRowsA, int numColsA, int numRowsIn);
GAUSSPIVTBL pGaussPivTbl;
...
CTestDLLDlg::CTestDLLDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CTestDLLDlg::IDD, pParent)
	, m_A11(0)
	, m_A12(0)
	, m_A13(0)
	, m_A21(0)
	, m_A22(0)
	, m_A23(0)
	, m_A31(0)
	, m_A32(0)
	, m_A33(0)
	, m_B1(0)
	, m_B2(0)
	, m_B3(0)
{
...
	n = 3;
	Err = matErr_None;
...
	MatA.ReSize(n, n);
	VecB.ReSize(n);
	VecXGPT.ReSize(n);
	gGaussDLL = LoadLibrary("GaussDLL");
...
	pGaussPivTbl = (GAUSSPIVTBL)GetProcAddress(gGaussDLL, "GaussPivTbl");
}
CTestDLLDlg::~CTestDLLDlg()
{
	if(gGaussDLL != NULL) FreeLibrary(gGaussDLL);
}
...
BOOL CTestDLLDlg::OnInitDialog()
{
...
	m_A11 = 1.;
	m_A12 = 2.;
	m_A13 = 1.;
	m_A21 = 2.;
	m_A22 = 1.;
	m_A23 = 2.;
	m_A31 = 1.;
	m_A32 = 1.;
	m_A33 = 2.;
	m_B1 = 12.;
	m_B2 = 15.;
	m_B3 = 14.;
...
}
...
void CTestDLLDlg::OnBnClickedButton1()
{
	int i, j, index;
	double vardbl;
...
	for(i=0; i<n; i++)
	{
		for(j=0; j<n; j++)
		{
			index = i*n + j;
			switch(index)
			{
			case 0:
				vardbl = m_A11;
				break;
			case 1:
				vardbl = m_A12;
				break;
			case 2:
				vardbl = m_A13;
				break;
			case 3:
				vardbl = m_A21;
				break;
			case 4:
				vardbl = m_A22;
				break;
			case 5:
				vardbl = m_A23;
				break;
			case 6:
				vardbl = m_A31;
				break;
			case 7:
				vardbl = m_A32;
				break;
			case 8:
				vardbl = m_A33;
				break;
			default:
				return;
			}
			MatA(i, j) = vardbl;
		}
		switch(i)
		{
		case 0:
			vardbl = m_B1;
			break;
		case 1:
			vardbl = m_B2;
			break;
		case 2:
			vardbl = m_B3;
			break;
		default:
			return;
		}
		VecB(i) = vardbl;
	}
...
Err = pGaussPivTbl(MatA, VecB, VecXGPT, MatA.getRows(), MatA.getCols(), VecB.getSize());
	if(Err == matErr_Size)
	{
		MessageBox("Size Error!", "Error!", MB_OK | MB_ICONERROR);
		return;
	}
	else if(Err == matErr_QNAN)
	{
MessageBox("Not Correct Source Data.", "Warning", MB_OK | MB_ICONWARNING);
		return;
	}
	else
	{
	}
...
}
